> For the complete documentation index, see [llms.txt](https://api.docs.fan/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api.docs.fan/profile/favorites/replace.md).

# Replace

{% hint style="info" %}
**Coming soon.** This endpoint is available in the profile service but is not yet exposed through the gateway. The path and payload may change when it becomes available externally.
{% endhint %}

Use this endpoint to replace the full list of favorite teams and leagues for a profile. Any existing favorites not present in the request are removed.

### Required Scopes

`profile_favorites:update` *(provisional — final scope will be confirmed when this endpoint is exposed via the gateway)*

## Request

### URL

`PUT /v2/profile/{id}/favorites`

### Path Parameters

| Name | Required | Description |
| ---- | -------- | ----------- |
| `id` | true     | Profile ID. |

### Data

The request body is an array of favorite entities that will become the profile's full favorites list.

<table><thead><tr><th width="218">Name</th><th width="104" data-type="checkbox">Required</th><th>Description</th></tr></thead><tbody><tr><td>entity_type</td><td>true</td><td>Type of the entity to favorite, e.g. team or league.</td></tr><tr><td>entity_id</td><td>true</td><td>Numeric identifier of the entity to favorite.</td></tr><tr><td>sdp_id</td><td>false</td><td>Sports Data Platform identifier for the entity.</td></tr></tbody></table>

## Response

Returns `200 OK` with no body on success.

## Full Spec

{% openapi src="/files/CCf2AQODBJ1168Vmfc8L" path="/v2/profile/{id}/favorites" method="put" %}
[openapi-profile-service.json](https://3657007978-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F1G9XmPfyfOHS6i6FdlzL%2Fuploads%2Fgit-blob-d088b26ede7e3b615a2eed648392b766b2122ce9%2Fopenapi-profile-service.json?alt=media)
{% endopenapi %}
